Subject: Re: [TLS] 0RTT and HelloRetryRequest (Re: Narrowing the replay window)

From: Martin Thomson <[email-masked]>
Date: Sat, 2 Apr 2016 12:13:42 +1100

On 1 April 2016 at 03:46, Ilari Liusvaara <[email-masked]> wrote:
>
>> > I believe Option #2 is simplest.
>>
>> I didn't mention this because I was composing on a phone at the time,
>> but we have to decide whether to allow a second attempt at 0-RTT.  If
>> we do, then the effect is a two round trip setback.  I think that the
>> odds of this happening are small, so I'm OK with it, but I wanted to
>> highlight that.
>
> Not taking it could mix poorly with DTLS, as DTLS rejects need to be
> stateless from server POV.

I thought that we'd already established that this is entirely possible.